## NAME

r.in.bin - Import a binary raster file into a GRASS raster map.

## KEYWORDS

raster, import

## SYNOPSIS

r.in.bin
r.in.bin help
r.in.bin [-fdsbh] input=string output=name [title=phrase] [bytes=integer] [order=string] [north=float] [south=float] [east=float] [west=float] [rows=integer] [cols=integer] [anull=float] [--overwrite] [--verbose] [--quiet]

### Flags:

-f
  Import as floating-point data (default: integer)
-d
  Import as double-precision floating-point data (default: integer)
-s
  Signed data (two's complement)
-b
  Byte Swap the Data During Import
-h
  Get region info from GMT style header
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=string
  Binary raster file to be imported
output=name
  Name for output raster map
title=phrase
  Title for resultant raster map
bytes=integer
  Number of bytes per cell
  Options: 1,2,4,8
order=string
  Output byte order
  Options: big,little,native,swap
  Default: native
north=float
  Northern limit of geographic region (outer edge)
south=float
  Southern limit of geographic region (outer edge)
east=float
  Eastern limit of geographic region (outer edge)
west=float
  Western limit of geographic region (outer edge)
rows=integer
  Number of rows
cols=integer
  Number of columns
anull=float
  Set Value to NULL

## DESCRIPTION

r.in.bin allows a user to create a (binary) GRASS raster map layer from a variety of binary raster data formats.

The -s flag is used for importing two's-complement signed data.

The -h flag is used to read region information from a Generic Mapping Tools (GMT) type binary header. It is compatible with GMT binary grid types 1 and 2.

The north, south, east, and west field values entered are the coordinates of the edges of the geographic region. The rows and cols field values entered describe the dimensions of the matrix of data to follow. If input is a GMT binary array (-h flag), the six dimension fields are obtained from the GMT header. If the bytes field is entered incorrectly an error will be generated suggesting a closer bytes value.

r.in.bin can be used to import numerous binary arrays including: ETOPO30, ETOPO-5, ETOPO-2, Globe DEM, BIL, AVHRR and GMT binary arrays (ID 1 & 2)

## NOTES

If optional parameters are not supplied, r.in.bin attempts to calculate them. For example if the rows and columns parameters are not entered, r.in.bin automatically calculates them by subtracting south from north and west from east. This will only produce correct results if the raster resolution equals 1. Also, if the north, south, east, and west parameters are not entered, r.in.bin assigns them from the rows and columns parameters. In the above AVHRR example, the raster would be assigned a north=128, south=0, east=128, west=0.

The geographic coordinates north, south, east, and west describe the outer edges of the geographic region. They run along the edges of the cells at the edge of the geographic region and not through the center of the cells at the edges.

Eastern limit of geographic region (in projected coordinates must be east of the west parameter value, but in geographical coordinates will wrap around the globe; user errors can be detected by comparing the ewres and nsres values of the imported map layer carefully).
Western limit of geographic region (in projected coordinates must be west of the east parameter value, but in geographical coordinates will wrap around the globe; user errors can be detected by comparing the ewres and nsres values of the imported map layer carefully).

Notes on (non)signed data:

If you use the -s flag the highest bit is the sign bit. If this is 1 the data is negative, and the data interval is half of the unsigned (not exactly).

This flag is only used if bytes= 1. If bytes= is greater than 1 the flag is ignored.

## EXAMPLES

### GTOPO30 DEM

The following is a sample call of r.in.bin to import GTOPO30 DEM data:

    r.in.bin -sb input=E020N90.DEM output=gtopo30 bytes=2 north=90 south=40
    east=60 west=20 r=6000 c=4800

(you can add "anull=-9999" if you want sea level to have a NULL value)

### GMT

The following is a sample call of r.in.bin to import a GMT type 1 (float) binary array:

    r.in.bin -hf input=sample.grd output=sample.grass

(-b could be used to swap bytes if required)

### AVHRR

The following is a sample call of r.in.bin to import an AVHRR image:

    r.in.bin in=p07_b6.dat out=avhrr c=128 r=128

### ETOPO2

The following is a sample call of r.in.bin to import ETOPO2 DEM data (here full data set):

    r.in.bin ETOPO2.dos.bin out=ETOPO2min r=5400 c=10800 n=90 s=-90 w=-180 e=180 bytes=2
    r.colors ETOPO2min rules=terrain

### TOPEX/SRTM30 PLUS

The following is a sample call of r.in.bin to import SRTM30 PLUS data:

    r.in.bin -sb input=e020n40.Bathmetry.srtm output=e020n40_topex \
             bytes=2 north=40 south=-10 east=60 west=20 r=6000 c=4800
    r.colors e020n40_topex rules=etopo2

## SEE ALSO

r.out.bin, r.in.ascii, r.out.ascii, r.in.arc, r.out.arc, r.in.gdal, r.out.gdal, r.in.srtm

## AUTHORS

Jacques Bouchard, France (bouchard@onera.fr)
Bob Covill, Canada (bcovill@tekmap.ns.ca)
Man page: Zsolt Felker (felker@c160.pki.matav.hu)

Last changed: $Date: 2008-05-16 21:09:06 +0200 (pá, 16 V 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team